View Issue Details

IDProjectCategoryView StatusLast Update
0024907mantisbtnewspublic2018-11-07 02:51
Reporterprof-milkiAssigned Toatrol 
PrioritylowSeverityfeatureReproducibilityhave not tried
Status closedResolutionno change required 
Product Version2.18.0 
Target VersionFixed in Version 
Summary0024907: JSON-format change/news export
Description

Low-priority feature request, as followup to 0021837: Text-based change log.

Instead of just supporting HTML copy and paste, it would be neat if Mantis also had support for some form of parseable changelog format. Specifically for the purposes of project release tracking.
e.g. http://fossil.include-once.org/freshcode/wiki/releases.json (nothing like a standard, just an informal scheme).

Naturally most Mantis trackers would just have commit logs. But you know, that's still better than no changelog at all.
OTOH it's perhaps best suited to associate release/maturity tags to version numbers. (Something a text based changelog never could.)

TagsNo tags attached.

Activities

atrol

atrol

2018-10-28 05:55

developer   ~0060864

I am not sure if I completely understand what you want, but output of issues in JSON format is possible by using the REST API.
e.g. you could create a filter for all issues where Fixed in version is set to a certain version and use the API to get all issues in JSON format.
https://documenter.getpostman.com/view/29959/mantis-bug-tracker-rest-api/7Lt6zkP#5cf35ffd-964b-ef90-5907-bd6b3efe87d4

Feel free to reopen and provide some more information if your request is not covered by the REST API.

Issue History

Date Modified Username Field Change
2018-10-27 12:46 prof-milki New Issue
2018-10-28 05:55 atrol Assigned To => atrol
2018-10-28 05:55 atrol Status new => resolved
2018-10-28 05:55 atrol Resolution open => no change required
2018-10-28 05:55 atrol Note Added: 0060864
2018-11-07 02:51 atrol Status resolved => closed